Bug 172136 - Review Request: kiosktool: KIOSK administration tool for KDE
Summary: Review Request: kiosktool: KIOSK administration tool for KDE
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: David Lawrence
URL: http://extragear.kde.org/apps/kioskto...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-10-31 19:11 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-01 15:42:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2005-10-31 19:11:13 UTC
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kiosktool-1.0-2.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kiosktool-1.0-2.src.rpm
Description: 
A Point and Click tool for system administrators to enable KDE's KIOSK 
features or otherwise preconfigure KDE for groups of users.

Comment 1 Aurelien Bompard 2005-11-01 11:20:14 UTC
* Desktop file: the Categories tag should contain Application
  (wiki: PackagingGuidelines#desktop)
* Missing dependancy on update-desktop-database for %post and %postun (package
desktop-file-utils)

Comment 2 Aurelien Bompard 2005-11-01 11:26:03 UTC
One more thing: it would be nice to make this package own /etc/kde-profile/,
since this is where the profiles are stored.

Comment 3 Aurelien Bompard 2005-11-01 11:27:24 UTC
... and /etc/kde-user-profile (sorry)

Comment 4 Rex Dieter 2005-11-01 14:01:33 UTC
%changelog
* Tue Nov 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-3
- %%post: drop needless update-desktop-database
- --add-category=Application
- create/own %%_sysconfdir/{kde-profile,kde-user-profile}

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kiosktool-1.0-3.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kiosktool-1.0-3.src.rpm

Comment 5 Aurelien Bompard 2005-11-01 14:37:24 UTC
Review for release 3:
* RPM name is OK
* Source kiosktool-1.0.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of kiosktool looks OK
* File list of kiosktool looks OK
* Works fine.
APPROVED



Note You need to log in before you can comment on or make changes to this bug.